For the complete documentation index, see llms.txt. This page is also available as Markdown.

Funding Requests

List Funding Requests

get
/v1/funding-request

Retrieve a list of funding requests with optional filtering and pagination.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
afterstringOptional

When provided, specifies the last item returned in previous page, used to fetch the next page. Fetches the first page when omitted.

limitstring · integerOptional

When provided, specifies the number of items to return in the page. Uses default page size of 10 when omitted.

fundingRequestIdstring · uuidOptional

Filter by funding request ID

customerAccountIdstring · uuidOptional

Filter by customer account ID

beneficiaryAccountIdstring · uuidOptional

Filter by beneficiary account ID

beneficiaryCurrencystring · enumOptional

Filter by beneficiary currency

Possible values:
fundingCurrencystring · enumOptional

Filter by funding currency

Possible values:
networkstringOptional

Filter by network

statusstring · enumOptional

Filter by status

Possible values:
createdAtStartstring · date-timeOptional

Filter by creation date lower bound, exclusive

createdAtEndstring · date-timeOptional

Filter by creation date upper bound, inclusive

expiresAtStartstring · date-timeOptional

Filter by expiration date lower bound, exclusive

expiresAtEndstring · date-timeOptional

Filter by expiration date upper bound, inclusive

customerReferencestringOptional

Filter by customer reference

Example: REF-2026-000123
sortFieldstring · enumOptional

Will sort the returned data using the specified field.

Possible values:
sortDirectionstring · enumOptional

Specifies the sort direction for the sortField.

Possible values:
Responses
200

Successful response

application/json
afterstring · nullableOptional

The token of the last item in the response

Example: 9fe51492-fc0f-483c-ab85-391e4a3a4335
totalCountstring · integerOptional

The total number of items in the entire filtered data set

Example: 1
get/v1/funding-request
GET /api/v1/funding-request HTTP/1.1
Host: cams.aquanow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "after": "9fe51492-fc0f-483c-ab85-391e4a3a4335",
  "totalCount": "1",
  "items": [
    {
      "customerReference": "REF-2026-000123",
      "customerAccountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "feePaidBy": "MERCHANT",
      "fundingRequestId": "faf8e68c-2cd5-43a6-b8e1-112535b7de00",
      "fundingInstructions": {
        "address": "0x1234567890123456789012345678901234567890",
        "fundingCurrency": "USDC",
        "network": "ETH"
      },
      "status": "PENDING_ADDRESS",
      "conversionRate": "3.6725",
      "beneficiaryAccountId": "82f790a1-6729-4058-bbd7-719afe3e7123",
      "beneficiaryCurrency": "AED",
      "expiresAt": "2026-02-19T18:44:05Z",
      "createdAt": "2026-02-19T18:44:05Z",
      "depositIds": [
        "3fa85f64-5717-4562-b3fc-2c963f66afa6"
      ]
    }
  ]
}

Get Funding Request

get
/v1/funding-request/{fundingRequestId}

Retrieve a funding request by its ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
fundingRequestIdstring · uuidRequired

The funding request ID

Example: faf8e68c-2cd5-43a6-b8e1-112535b7de00
Responses
200

Successful response

application/json
customerReferencestring · max: 256 · nullableOptionalExample: REF-2026-000123
customerAccountIdstring · uuidRequiredExample: 3fa85f64-5717-4562-b3fc-2c963f66afa6
feePaidBystring · enumRequiredPossible values:
fundingRequestIdstring · uuidRequiredExample: faf8e68c-2cd5-43a6-b8e1-112535b7de00
statusstring · enumRequiredPossible values:
conversionRatestring · numberRequiredExample: 3.6725
beneficiaryAccountIdstring · uuidRequiredExample: 82f790a1-6729-4058-bbd7-719afe3e7123
beneficiaryCurrencystringRequiredExample: AED
expiresAtstring · date-time · nullableOptionalExample: 2026-02-19T18:44:05Z
createdAtstring · date-timeRequiredExample: 2026-02-19T18:44:05Z
depositIdsstring · uuid[]RequiredExample: ["3fa85f64-5717-4562-b3fc-2c963f66afa6"]
get/v1/funding-request/{fundingRequestId}
GET /api/v1/funding-request/{fundingRequestId} HTTP/1.1
Host: cams.aquanow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "customerReference": "REF-2026-000123",
  "customerAccountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "feePaidBy": "MERCHANT",
  "fundingRequestId": "faf8e68c-2cd5-43a6-b8e1-112535b7de00",
  "fundingInstructions": {
    "address": "0x1234567890123456789012345678901234567890",
    "fundingCurrency": "USDC",
    "network": "ETH"
  },
  "status": "PENDING_ADDRESS",
  "conversionRate": "3.6725",
  "beneficiaryAccountId": "82f790a1-6729-4058-bbd7-719afe3e7123",
  "beneficiaryCurrency": "AED",
  "expiresAt": "2026-02-19T18:44:05Z",
  "createdAt": "2026-02-19T18:44:05Z",
  "depositIds": [
    "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  ]
}

Create Funding Request

post
/v1/funding-request

Create a new funding request to obtain deposit instructions for funding an account.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
customerAccountIdstring · uuidRequiredExample: 3fa85f64-5717-4562-b3fc-2c963f66afa6
fundingCurrencystring · enumRequiredPossible values:
networkstring · enum · max: 32Required

The blockchain network. USDT is supported by both ETH and TRX. USDC is supported by ETH only.

Possible values:
beneficiaryAccountIdstring · uuid · max: 256RequiredExample: 82f790a1-6729-4058-bbd7-719afe3e7123
beneficiaryCurrencystring · enumRequiredPossible values:
feePaidBystring · enumRequiredPossible values:
customerReferencestring · max: 256OptionalExample: REF-2026-000123
Responses
200

Successful response

application/json
customerReferencestring · max: 256 · nullableOptionalExample: REF-2026-000123
customerAccountIdstring · uuidRequiredExample: 3fa85f64-5717-4562-b3fc-2c963f66afa6
feePaidBystring · enumRequiredPossible values:
fundingRequestIdstring · uuidRequiredExample: faf8e68c-2cd5-43a6-b8e1-112535b7de00
statusstring · enumRequiredPossible values:
conversionRatestring · numberRequiredExample: 3.6725
beneficiaryAccountIdstring · uuidRequiredExample: 82f790a1-6729-4058-bbd7-719afe3e7123
beneficiaryCurrencystringRequiredExample: AED
expiresAtstring · date-time · nullableOptionalExample: 2026-02-19T18:44:05Z
createdAtstring · date-timeRequiredExample: 2026-02-19T18:44:05Z
depositIdsstring · uuid[]RequiredExample: ["3fa85f64-5717-4562-b3fc-2c963f66afa6"]
post/v1/funding-request
POST /api/v1/funding-request HTTP/1.1
Host: cams.aquanow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 252

{
  "customerAccountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "fundingCurrency": "USDC",
  "network": "ETH",
  "beneficiaryAccountId": "82f790a1-6729-4058-bbd7-719afe3e7123",
  "beneficiaryCurrency": "AED",
  "feePaidBy": "MERCHANT",
  "customerReference": "REF-2026-000123"
}
{
  "customerReference": "REF-2026-000123",
  "customerAccountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "feePaidBy": "MERCHANT",
  "fundingRequestId": "faf8e68c-2cd5-43a6-b8e1-112535b7de00",
  "fundingInstructions": {
    "address": "0x1234567890123456789012345678901234567890",
    "fundingCurrency": "USDC",
    "network": "ETH"
  },
  "status": "ACTIVE",
  "conversionRate": "3.6725",
  "beneficiaryAccountId": "82f790a1-6729-4058-bbd7-719afe3e7123",
  "beneficiaryCurrency": "AED",
  "expiresAt": "2026-02-19T18:44:05Z",
  "createdAt": "2026-02-19T18:44:05Z",
  "depositIds": [
    "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  ]
}

Remove Funding Request

delete
/v1/funding-request/{fundingRequestId}

Remove a funding request by its ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
fundingRequestIdstring · uuidRequired

The funding request ID

Example: faf8e68c-2cd5-43a6-b8e1-112535b7de00
Responses
200

Successful response

application/json
customerReferencestring · max: 256RequiredExample: REF-2026-000123
customerAccountIdstring · uuidRequiredExample: 3fa85f64-5717-4562-b3fc-2c963f66afa6
feePaidBystring · enumRequiredPossible values:
fundingRequestIdstring · uuidRequiredExample: faf8e68c-2cd5-43a6-b8e1-112535b7de00
statusstring · enumRequiredPossible values:
conversionRatestring · numberRequiredExample: 3.6725
beneficiaryAccountIdstring · uuidRequiredExample: 82f790a1-6729-4058-bbd7-719afe3e7123
beneficiaryCurrencystringRequiredExample: AED
expiresAtstring · date-time · nullableOptionalExample: 2026-02-19T18:44:05Z
createdAtstring · date-timeRequiredExample: 2026-02-19T18:44:05Z
delete/v1/funding-request/{fundingRequestId}
DELETE /api/v1/funding-request/{fundingRequestId} HTTP/1.1
Host: cams.aquanow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "customerReference": "REF-2026-000123",
  "customerAccountId": "72f790a1-6729-4058-bbd7-719afe3e7123",
  "fundingRequestId": "faf8e68c-2cd5-43a6-b8e1-112535b7de00",
  "fundingInstructions": {
    "address": "0x1234567890123456789012345678901234567890",
    "fundingCurrency": "USDC",
    "network": "ETH"
  },
  "feePaidBy": "MERCHANT",
  "status": "REMOVED",
  "conversionRate": "3.6725",
  "beneficiaryAccountId": "2494b306-d54d-47f3-9256-30b64689c49f",
  "beneficiaryCurrency": "AED",
  "expiresAt": "2026-02-19T18:44:05Z",
  "createdAt": "2026-02-19T18:44:05Z"
}

Last updated